Get task
curl --request GET \
--url https://business.pingmee.co.il/tasks/{taskId} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://business.pingmee.co.il/tasks/{taskId}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://business.pingmee.co.il/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"taskId": "<string>",
"title": "<string>",
"body": "<string>",
"associatedTo": "<string>",
"statusCase": "<string>",
"unreadCount": 123,
"agentIdentification": {},
"createdAt": 123,
"updatedAt": 123,
"dueDate": 123,
"assignedAgentIds": [
"<string>"
],
"viewedByAgentIds": [
"<string>"
],
"phoneNumberId": "<string>",
"participantsIdentifiers": "<string>",
"customer": {
"profileImage": "<string>",
"customerName": "<string>",
"customerNickname": "<string>",
"description": "<string>",
"createdAt": 123,
"lastActiveAt": 123,
"email": "jsmith@example.com",
"platform": "whatsapp",
"phoneNumberId": "<string>",
"countryCode": "<string>",
"associatedTo": "<string>",
"parsedPhoneNumber": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Tasks
Get Task
Returns a single task by ID.
GET
/
tasks
/
{taskId}
Get task
Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
Task identifier returned when the task was created.
Response
Task
Show child attributes
Show child attributes
Last modified on August 30, 2026